[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / UseDataSourceValue

# Interface: UseDataSourceValue\<Source, Target\>

Defined in: [packages/angular/form-system/src/lib/decorators/use-data-source.ts:10](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/decorators/use-data-source.ts#L10)

## Type Parameters

• **Source** = `any`

• **Target** = `Source`

## Properties

### dataSource

> **dataSource**: `IdOrInstanceOrToken`\<`BaseDataSource`\<`any`, `BaseDataSourceMetadata`, `BaseDataSourceViewer`\<`any`\>\>\>

Defined in: [packages/angular/form-system/src/lib/decorators/use-data-source.ts:11](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/decorators/use-data-source.ts#L11)

***

### lastValue?

> `optional` **lastValue**: `Target`

Defined in: [packages/angular/form-system/src/lib/decorators/use-data-source.ts:17](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/decorators/use-data-source.ts#L17)

The last value of the data source

***

### settings?

> `optional` **settings**: [`UseDataSourceSettings`](UseDataSourceSettings.md)\<`Source`, `Target`\>

Defined in: [packages/angular/form-system/src/lib/decorators/use-data-source.ts:12](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/decorators/use-data-source.ts#L12)
